local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH

GLOBAL.STRINGS.NAMES.RPGSWORD = "The Generic RPG Sword"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.RPGSWORD = "The whole 'hero' thing didn't work out very well."
GLOBAL.STRINGS.RECIPE_DESC.RPGSWORD = "Only worth 3 copper."

GLOBAL.STRINGS.NAMES.TRIUMPH = "Triumph"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.TRIUMPH = "Blood is the wine of victory."
GLOBAL.STRINGS.RECIPE_DESC.TRIUMPH = "It thirsts for blood."

GLOBAL.STRINGS.NAMES.ENTROPY = "Entropy"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ENTROPY = "It thrives in chaos."
GLOBAL.STRINGS.RECIPE_DESC.ENTROPY = "A wicked blade."

GLOBAL.STRINGS.NAMES.MADNESS = "Madness"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MADNESS = "The blade cannot contain its own power!"
GLOBAL.STRINGS.RECIPE_DESC.MADNESS = "Unimaginable power. One blade."

function tehsword()
	local rpgsword = GLOBAL.Recipe("rpgsword", { Ingredient("goldnugget", 2), Ingredient("flint", 3), Ingredient("redgem", 1) }, RECIPETABS.WAR, TECH.NONE)
		rpgsword.atlas = "images/inventoryimages/rpgsword.xml"
	local triumph = GLOBAL.Recipe("triumph", { Ingredient("rpgsword", 1), Ingredient("redgem", 2) }, RECIPETABS.WAR, TECH.NONE)
		triumph.atlas = "images/inventoryimages/triumph.xml"
	local entropy = GLOBAL.Recipe("entropy", { Ingredient("rpgsword", 1), Ingredient("bluegem", 2) }, RECIPETABS.WAR, TECH.NONE)
		entropy.atlas = "images/inventoryimages/entropy.xml"
	local madness = GLOBAL.Recipe("madness", { Ingredient("entropy", 1), Ingredient("triumph", 1), Ingredient("purplegem", 2), Ingredient("nightmarefuel", 5)  }, RECIPETABS.WAR, TECH.NONE)
		madness.atlas = "images/inventoryimages/madness.xml"
end

AddGamePostInit(tehsword)

PrefabFiles = {
	"cth",
	"rpgsword",
	"triumph",
	"entropy",
	"madness",
	"meats",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/cth.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/cth.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/cth.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/cth.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/cth_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/cth_silho.xml" ),

    Asset( "IMAGE", "bigportraits/cth.tex" ),
    Asset( "ATLAS", "bigportraits/cth.xml" ),
	
	Asset( "ATLAS", "images/cthulhu.xml" ),
	Asset( "IMAGE", "images/cthulhu.tex" ),
	
	Asset("SOUNDPACKAGE", "sound/cthulhu.fev"),
    Asset("SOUND", "sound/cthulhu.fsb"),


}

RemapSoundEvent( "dontstarve/characters/cth/death_voice", "cthulhu/sound/death_voice" )
RemapSoundEvent( "dontstarve/characters/cth/hurt", "cthulhu/sound/hurt" )
RemapSoundEvent( "dontstarve/characters/cth/talk_LP", "cthulhu/sound/talk_LP" )

AddMinimapAtlas("images/cthulhu.xml")

AddModCharacter("cth")

