
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/cth.zip" ),
}
local prefabs = {"meats"};

local start_inv =
{
    "rpgsword",
}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "cth"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "cthulhu.tex" )

	-- todo: Add an example special power here.
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * .9)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)
	inst.components.sanity:SetMax(200)
	inst.components.health:SetMaxHealth(175)
	inst.components.hunger:SetMax(200)
	inst.components.combat.damagemultiplier = 1.4
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1.75)
	inst.components.sanity.night_drain_mult = ( TUNING.WENDY_SANITY_MULT * -3 )
	inst.components.sanity.neg_aura_mult = 0.4
	inst:AddComponent("healthRegen")
	inst:AddTag("merm")
	inst:AddTag("monster")
	inst.components.eater.monsterimmune = true
	inst.Transform:SetScale(1.15, 1.15, 1.15)
	inst.components.sanity.dapperness = -TUNING.DAPPERNESS_MED
	inst.components.eater:SetCarnivore(true)
	inst.components.builder.magic_bonus = 3
	inst.components.health.fire_damage_scale = 2
	inst.entity:AddLight()
	inst.Light:Enable(true)
	inst.Light:SetRadius(4)
	inst.Light:SetFalloff(.5)
	inst.Light:SetIntensity(.6)
	inst.Light:SetColour(245/255,40/255,0/255)
	
	inst.components.talker.colour = Vector3(127/255, 0/255, 0/255)
	
	-- How is this working?
	local mermhouse_recipe = Recipe("mermhouse", {Ingredient("boards", 5), Ingredient("fish", 3), Ingredient("cutstone", 3)}, RECIPETABS.TOWN, TECH.NONE, "pighouse_placer")
	STRINGS.RECIPE_DESC.MERMHOUSE = "It's like a mini R'lyeh."
	
	local pighead_recipe = Recipe("pighead", {Ingredient("twigs", 3), Ingredient("pigskin", 3),}, RECIPETABS.TOWN, TECH.NONE, "homesign_placer")
	STRINGS.RECIPE_DESC.PIGHEAD = "Get off my lawn, you pigs!"
end


-- strings! Any "cth" below would have to be replaced by the prefab name of your character.

-- First up, the character select screen lines 
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.cth = "the Master of R'lyeh"
STRINGS.CHARACTER_NAMES.cth = "Cthulhu"
STRINGS.CHARACTER_DESCRIPTIONS.cth = "* Eldritch Being. \n *Wicked muscles \n *A perchant for violence"
STRINGS.CHARACTER_QUOTES.cth = "\"Ftagn!\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.CTH = require "speech_cth"
	
return MakePlayerCharacter("cth", prefabs, assets, fn, start_inv)
