local assets=
{
	Asset("ANIM", "anim/madness.zip"),
	Asset("ANIM", "anim/swap_madness.zip"),
	Asset("ATLAS", "images/inventoryimages/madness.xml"), 
	Asset("IMAGE", "images/inventoryimages/madness.tex") 
}
local function onattack_blue(inst, attacker, target)

    if target.components.freezable then
        target.components.freezable:AddColdness(0.0000001)
    end
	if attacker and attacker.components.sanity then
		attacker.components.sanity:DoDelta(-300)
    end
    if target.components.sleeper and target.components.sleeper:IsAsleep() then
        target.components.sleeper:WakeUp()
    end
    if target.components.burnable and target.components.burnable:IsBurning() then
        target.components.burnable:Extinguish()
    end
    if target.components.combat then
        target.components.combat:SuggestTarget(attacker)
        if target.sg and not target.sg:HasStateTag("frozen") and target.sg.sg.states.hit then
            target.sg:GoToState("hit")
        end
    end
end

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner)
    --owner.AnimState:OverrideSymbol("swap_object", "swap_madness", "spear")
    owner.AnimState:OverrideSymbol("swap_object", "swap_madness", "swap_nightmaresword")  
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

    local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
    	local inst = CreateEntity()
    	local trans = inst.entity:AddTransform()
    	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("nightmaresword")
    anim:SetBuild("madness")
    anim:PlayAnimation("idle", true)

    inst:AddTag("icestaff")
    inst:AddTag("sharp")
    

    -------
   
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.SPIKE_DAMAGE * 10)
    inst.components.weapon:SetOnAttack(onattack_blue)

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(10)
    inst.components.finiteuses:SetUses(10)
    
    inst.components.finiteuses:SetOnFinished( onfinished )

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "madness"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/madness.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("cth")
    
    return inst
end

return Prefab( "common/inventory/madness", fn, assets) 